!!ARBfp1.0
OPTION ARB_precision_hint_nicest;

#/**\
#	File:			Program for COR:EFBB post processing effects
#
#	Author:			Magnus Hgdahl
#
#	Copyright:		Starbreeze AB 2004
#
#	History:
#
#\*____________________________________________________________________________________________*/

#-----------------------------------
OUTPUT oCol = result.color;

ATTRIB tc0 = fragment.texcoord[0];
ATTRIB tc1 = fragment.texcoord[1];
ATTRIB tc2 = fragment.texcoord[2];
ATTRIB tc3 = fragment.texcoord[3];

PARAM c0 = program.env[0];
PARAM c1 = program.env[1];
PARAM c2 = program.env[2];
PARAM c3 = program.env[3];
PARAM c4 = program.env[4];
PARAM c5 = program.env[5];
PARAM c6 = program.env[6];
PARAM c7 = program.env[7];

PARAM two = {2.0, 2.0, 2.0, 2.0};
#PARAM four = {4.0, 4.0, 4.0, 4.0};
#PARAM test = {1,1,1,1};

TEMP t0;
TEMP t1;
TEMP t2;
TEMP t3;

TEMP r0;
TEMP r1;

#-----------------------------------

TXB t0, tc0, texture[0], 2D;
TXB t1, tc1, texture[1], 2D;	#TXB
TXB t2, tc2, texture[1], 2D;	#TXB
TXB t3, tc3, texture[1], 2D;	#TXB
DP3 r0.rgb, t0, c0;
MUL r0.rgb, r0, c2;
MAD r0.rgb, r0, two, t0;
LRP r0.rgb, c3, r0, t0;
ADD r1.rgb, t1, t2;
ADD r1.rgb, r1, t3;
MAD r0, r1, c4, r0;

MOV oCol.xyz, r0;

END

